
From: Christoph Hellwig <hch@lst.de>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/md.c         |    3 +--
 25-akpm/include/linux/raid/md.h |    1 -
 2 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/md/md.c~mark-md_interrupt_thread-static drivers/md/md.c
--- 25/drivers/md/md.c~mark-md_interrupt_thread-static	Tue Sep  7 16:25:18 2004
+++ 25-akpm/drivers/md/md.c	Tue Sep  7 16:25:18 2004
@@ -2941,7 +2941,7 @@ mdk_thread_t *md_register_thread(void (*
 	return thread;
 }
 
-void md_interrupt_thread(mdk_thread_t *thread)
+static void md_interrupt_thread(mdk_thread_t *thread)
 {
 	if (!thread->tsk) {
 		MD_BUG();
@@ -3910,6 +3910,5 @@ EXPORT_SYMBOL(md_register_thread);
 EXPORT_SYMBOL(md_unregister_thread);
 EXPORT_SYMBOL(md_wakeup_thread);
 EXPORT_SYMBOL(md_print_devices);
-EXPORT_SYMBOL(md_interrupt_thread);
 EXPORT_SYMBOL(md_check_recovery);
 MODULE_LICENSE("GPL");
diff -puN include/linux/raid/md.h~mark-md_interrupt_thread-static include/linux/raid/md.h
--- 25/include/linux/raid/md.h~mark-md_interrupt_thread-static	Tue Sep  7 16:25:24 2004
+++ 25-akpm/include/linux/raid/md.h	Tue Sep  7 16:25:24 2004
@@ -69,7 +69,6 @@ extern mdk_thread_t * md_register_thread
 extern void md_unregister_thread (mdk_thread_t *thread);
 extern void md_wakeup_thread(mdk_thread_t *thread);
 extern void md_check_recovery(mddev_t *mddev);
-extern void md_interrupt_thread (mdk_thread_t *thread);
 extern void md_write_start(mddev_t *mddev);
 extern void md_write_end(mddev_t *mddev);
 extern void md_handle_safemode(mddev_t *mddev);
_
